# 68. Mutation: Opdatér statistik for "VectorAnalysisMap"

Opdaterer statistikker for Zones-kortet. Kan bruges, når Sammenfletning/Opdeling af zoner er udført i brugerfladen.

{% hint style="info" %}
Tjek <https://geopard.tech/blog/merge-and-split-zones/> artikel.&#x20;
{% endhint %}

Mutation for at opdatere statistikker uden at gemme dem i databasen. Svaret indeholder de genberegnede statistikker som JSON.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/68.-mutation-opdater-statistik-for-vectoranalysismap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
